﻿#version 330 core

uniform mat4 World;
uniform mat4 View;
uniform mat4 Projection;
//uniform mat4 NormalMatrix;

in vec3 in_position;
in vec2 in_texcoord;
in vec3 in_normal;

//out vec2 pass_texcoord;
//out vec3 pass_normal;

void main(void)
{
	gl_Position = (Projection*View*World)*vec4(in_position, 1);
	//pass_texcoord = in_texcoord;
	//pass_normal = (NormalMatrix * vec4(in_normal, 0)).xyz;
}